/*
 * Copyright(C) 2000 Проект ИОК
 *
 * Этот файл содержит информацию, являющуюся
 * собственностью компании Крипто Про.
 *
 * Любая часть этого файла не может быть скопирована,
 * исправлена, переведена на другие языки,
 * локализована или модифицирована любым способом,
 * откомпилирована, передана по сети с или на
 * любую компьютерную систему без предварительного
 * заключения соглашения с компанией Крипто Про.
 */

#include "fat12prj.h"

/*!
 * \ingroup fat12_info_general
 * \brief Функция уничтожения контекста считывателя.
 * \return Код ошибки
 * \retval ERROR_SUCCESS контекст уничтожен.
 */
DWORD fat12_context_free(TSupSysContext *context, TSupSysInfo *info)
{
    TFat12Context *ctx = (TFat12Context*)context;
    UNUSED(info);

    if( ctx == NULL )
	return ERROR_SUCCESS;
#ifdef UNIX
    free(ctx->volume_label);
    delete_mutex(ctx->lock);
#endif //UNIX
    free(ctx->path);
    free(ctx->path_to_item);
    free(ctx);
    return ERROR_SUCCESS;
}
